package com.sf._02_hashmap.demo3;

import java.util.Scanner;

public class Test {

    /**
     * 1 User类这个类当中有username,password 提供get和set方法
     * 2 创建LoginService  这个LoginService 当中提供Map<String(username),User>
     * 3 给LoginService 提供无参构造器, 在无参构造器当中对于map进行初始化
     *   map.put("zhangsan",new User(zhangsa,123)) ,map.put("lisi",new User("lisi,123))
     * 4 在LoginService 当中提供一个登录方法login(User user)
     *   4.1 获取user用户名
     *   4.2 根据用户名上map 当中获取信息看是否有信息,如果没有提醒用户名不存在
     *   4.3 如果获取信息, 判断密码是否一致, 如果一致登录成功,如果不一致登录失败
     * 在测试中
     *    1在控制台当中录入username 和password , 把信息封装User中
     *    2创建LoginService() , 调用login 方法
     */
    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        System.out.println("请录入账号:");
        String username = scanner.next();
        System.out.println("请输入密码:");
        String password = scanner.next();

        User user = new User(username,password);
        LoginService loginService = new LoginService();
        loginService.login(user);
    }
}
